unit ClientTestForm;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, WSocket, WSocketS, ExtCtrls, Srv_Cli, gyzfunc, CliProcess,
  Db, kbmMemTable, Grids, DBGrids, DBCtrls, SoftQuery, ComCtrls, _params;

type
  TClientForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    DisconnectButton: TButton;
    PortEdit: TEdit;
    ServerEdit: TEdit;
    Button2: TButton;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    SoftQuery: TSoftQuery;
    Button1: TButton;
    Button4: TButton;
    DisplayMemo: TMemo;
    Panel2: TPanel;
    DBMemo1: TDBRichEdit;
    DBImage1: TDBImage;
    SoftQueryNAME: TStringField;
    SoftQuerySIZE: TSmallintField;
    SoftQueryWEIGHT: TSmallintField;
    SoftQueryAREA: TStringField;
    SoftQueryBMP: TBlobField;
    procedure DisconnectButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button2Click(Sender: TObject);
  private
    { Dclarations prives }
    ConnectError : Word;
  public
  end;

var
  ClientForm: TClientForm;

implementation

{$R *.DFM}

procedure TClientForm.FormDestroy(Sender: TObject);
begin
  SoftConnection.Close;
end;


{* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *}
procedure TClientForm.DisconnectButtonClick(Sender: TObject);
begin
  SoftConnection.Close;
end;

{* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *}
procedure TClientForm.FormShow(Sender: TObject);
begin
  DisplayMemo.Clear;
end;

procedure TClientForm.Button1Click(Sender: TObject);
begin
  SoftConnection.Buffer.SetCommand( cmdTime );
  SoftConnection.Buffer.Send;
  DisplayMemo.lines.add( 'enviado ' );
  SoftConnection.Buffer.Wait( cmdTime, 2500);
  DisplayMemo.lines.add( 'lido ' );
end;

procedure TClientForm.Button5Click(Sender: TObject);
begin
  dbmemo1.DataField := 'Direitos';
end;

procedure TClientForm.Button4Click(Sender: TObject);
begin
  sq.Active := not sq.Active;
end;

procedure TClientForm.FormCreate(Sender: TObject);
begin
  ClientLog := DisplayMemo.Lines;
end;

procedure TClientForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  ClientLog := nil;
end;

procedure TClientForm.Button2Click(Sender: TObject);
begin

  SoftConnection.Close;
  SoftConnection.Addr := ServerEdit.Text;
  SoftConnection.Port := PortEdit.Text;
  SoftConnection.Open( False, True);

end;

end.

